Skip to main content
GET
/
v2
/
farcaster
/
storage
/
allocations
Allocation of user
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/storage/allocations/ \
  --header 'x-api-key: <api-key>'
{
  "total_active_units": 13,
  "allocations": [
    {
      "object": "storage_allocation",
      "units": 10,
      "expiry": "2024-10-08T22:03:49.000Z",
      "timestamp": "2023-10-09T22:03:49.000Z"
    }
  ]
}

Node.js SDK

🔗 SDK Method: lookupUserStorageAllocations Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

fid
integer<int32>
required

The unique identifier of a farcaster user or app (unsigned integer)

Required range: x >= 0
Example:

3

Response

Success

total_active_units
integer
Example:

13

allocations
StorageAllocation · object[]